package com.hikapro.backpack.presenter.adapters.helper.items;

import android.support.v7.widget.RecyclerView;
import android.view.ViewGroup;

/**
 * Created by tariel on 01/05/16.
 */
public interface StickyHeaderAdapter<VH extends RecyclerView.ViewHolder> {

    long getHeaderId(int position);
    VH onCreateHeaderViewHolder(ViewGroup parent);
    void onBindHeaderViewHolder(VH holder, int position);
    int getItemCount();
}
